Subject: Re: [PATCH] log: add log.follow config option

From: Junio C Hamano <[email-masked]>
Date: Fri, 03 Jul 2015 10:47:15 -0700

Matthieu Moy <[email-masked]> writes:

> David Turner <[email-masked]> writes:
>
>> Twitter's history is almost completely linear, so it's useful for us.  
>>
>> Since it looks like the patch won't be useful outside of our context,
>> I'll just rewrite it to check the pathspec count, and not upstream it
>> until follow becomes more general.
>
> As long as it's an opt-in and that the documentation states the
> limitations clearly enough, I think it makes sense to me to have this
> upstream.

Perhaps.  But at least "log -- 1 2" and "log --" should not be broken
for those that set the configuration.

Unless you are counting these as also "limitations", that is.